Skip to main content
Unlisted page
This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

DataService API v2 — IntegrationProfiles

Base URL

  • https://demo.avaplace.com/api/asol/ds

Authentication

  • OAuth2 Bearer token required (scope: apiim)
  • See DataService-API.md for token acquisition

Overview

Integration profiles represent selected application/scenario/feature configuration, typically used for filtering and processing.

Endpoints

  • GET /api/v2/IntegrationProfiles — List profiles (filters + paging)

  • GET /api/v2/IntegrationProfiles/{profileId} — Get profile

  • GET /api/v2/IntegrationProfiles/{profileId}/AvailableFeatures — Requires sourceId

  • GET /api/v2/IntegrationProfiles/{profileId}/AvailableModels — Requires sourceId

  • GET /api/v2/IntegrationProfiles/Current — Current profile

  • GET /api/v2/IntegrationProfiles/Current/AvailableFeatures — Requires sourceId

  • GET /api/v2/IntegrationProfiles/Current/AvailableModels — Requires sourceId


Query Parameters: /api/v2/IntegrationProfiles (GET)

ParameterTypeRequiredDescription
IsSelectedbooleanNoFilter by selected integration-profile
OffsetintegerNoPagination offset
LimitintegerNoMaximum number of results
ReleasedbooleanNoInclude released profiles
UnreleasedbooleanNoInclude unreleased profiles
DeletedbooleanNoInclude deleted profiles
UndeletedbooleanNoInclude non-deleted profiles

Query Parameters: /api/v2/IntegrationProfiles/{profileId}/AvailableFeatures (GET)

ParameterTypeRequiredDescription
profileIdstringYes (path)The identifier of integration-profile
sourceIdstring (uuid)Yes (query)The data-source identifier (mandatory)

Query Parameters: /api/v2/IntegrationProfiles/{profileId}/AvailableModels (GET)

ParameterTypeRequiredDescription
profileIdstringYes (path)The identifier of integration-profile
sourceIdstring (uuid)Yes (query)The data-source identifier (mandatory)

Query Parameters: /api/v2/IntegrationProfiles/Current (GET)

ParameterTypeRequiredDescription
sourceIdstring (uuid)NoThe data-source identifier filter (optional)

Query Parameters: /api/v2/IntegrationProfiles/Current/AvailableFeatures (GET)

ParameterTypeRequiredDescription
sourceIdstring (uuid)YesThe data-source identifier (mandatory)

Query Parameters: /api/v2/IntegrationProfiles/Current/AvailableModels (GET)

ParameterTypeRequiredDescription
sourceIdstring (uuid)YesThe data-source identifier (mandatory)

Examples

List integration profiles

curl

curl -X GET "https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationProfiles?Offset=0&Limit=50&IsSelected=true" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"

PowerShell

$uri = 'https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationProfiles?Offset=0&Limit=50&IsSelected=true'

Invoke-RestMethod -Method Get `
-Uri $uri `
-Headers @{ Authorization = "Bearer $accessToken"; Accept = 'application/json' }

Postman

  • Method: GET
  • URL: {{baseUrl}}/api/v2/IntegrationProfiles
  • Params: Offset=0, Limit=50, IsSelected=true
  • Authorization: Bearer Token

Get current profile with available features

curl

curl -X GET "https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationProfiles/Current/AvailableFeatures?sourceId=<sourceId>" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"

PowerShell

$uri = 'https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationProfiles/Current/AvailableFeatures?sourceId=<sourceId>'

Invoke-RestMethod -Method Get `
-Uri $uri `
-Headers @{ Authorization = "Bearer $accessToken"; Accept = 'application/json' }

Postman

  • Method: GET
  • URL: {{baseUrl}}/api/v2/IntegrationProfiles/Current/AvailableFeatures
  • Params: sourceId=<sourceId>
  • Authorization: Bearer Token

References